MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024403Open CASCADE[OCCT] OCCT:Shape Healingpublic2013-11-26 17:062013-12-19 14:00
Reporteribs 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0024403: BRepBuilderAPI_Sewing should have get/set Context methods
DescriptionBRepBuilderAPI_Sewing should have get/set Context methods
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0026925)
ibs (developer)
2013-11-26 17:08

CR24403 is ready for reviewing
(0026953)
abv (manager)
2013-11-27 12:29

I suggest method to get context should be called GetContext() and return const &
(0027081)
ibs (developer)
2013-12-04 16:12

CR24403 OCCT branch is ready for reviewing
(0027142)
abv (manager)
2013-12-10 10:12

No remarks, please test
(0027166)
apn (administrator)
2013-12-11 11:54

Dear BugMaster,

Branch CR24403 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 60fbbd668d8acdc565e443c0b18a539183963341

Number of compiler warnings:

occt component :
Linux: 103 (103 on master)
Windows: 0 (0 on master)

products component :
Linux: 21 (21 on master)
Windows: 8 (8 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 359010368 / 358971772
Total CPU difference: 44030.87999999992 / 67597.01000000008

Testing on Windows:
Total MEMORY difference: 413299876 / 413232620
Total CPU difference: 32376.421875 / 30599.546875

There are not differences in images found by testdiff.

- Related Changesets
occt: master 0794c042
Timestamp: 2013-11-27 13:11:25
Author: abv
Committer: abv
Details ] Diff ]
0024403: BRepBuilderAPI_Sewing should have get/set Context methods

Methods to get/set context introduced
mod - src/BRepBuilderAPI/BRepBuilderAPI_Sewing.cdl Diff ] File ]
mod - src/BRepBuilderAPI/BRepBuilderAPI_Sewing.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-11-26 17:06 ibs New Issue
2013-11-26 17:06 ibs Assigned To => ibs
2013-11-26 17:08 ibs Note Added: 0026925
2013-11-26 17:08 ibs Assigned To ibs => abv
2013-11-26 17:08 ibs Status new => resolved
2013-11-27 12:29 abv Note Added: 0026953
2013-11-27 12:29 abv Assigned To abv => ibs
2013-11-27 12:29 abv Status resolved => assigned
2013-12-04 16:12 ibs Note Added: 0027081
2013-12-04 16:12 ibs Assigned To ibs => abv
2013-12-04 16:12 ibs Status assigned => resolved
2013-12-10 10:12 abv Note Added: 0027142
2013-12-10 10:12 abv Assigned To abv => bugmaster
2013-12-10 10:12 abv Status resolved => reviewed
2013-12-10 12:02 apn Assigned To bugmaster => apn
2013-12-10 16:58 abv Target Version 6.7.1 => 6.7.0
2013-12-11 11:54 apn Note Added: 0027166
2013-12-11 11:54 apn Test case number => Not needed
2013-12-11 11:54 apn Assigned To apn => bugmaster
2013-12-11 11:54 apn Status reviewed => tested
2013-12-13 14:09 abv Changeset attached => occt master 0794c042
2013-12-13 14:09 abv Assigned To bugmaster => abv
2013-12-13 14:09 abv Status tested => verified
2013-12-13 14:09 abv Resolution open => fixed
2013-12-19 13:50 bugmaster Status verified => closed
2013-12-19 14:00 bugmaster Fixed in Version => 6.7.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker